- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_collection_t

# mongoc_collection_find_indexes_with_opts()

## Synopsis

    mongoc_cursor_t *
    mongoc_collection_find_indexes_with_opts (mongoc_collection_t *collection,
                                              const bson_t *opts);

Fetches a cursor containing documents, each corresponding to an index on this collection.

## Parameters

- `collection`: A mongoc_collection_t.
- `opts`: A `bson_t` containing additional options.

## Errors

Use mongoc_cursor_error() on the returned cursor to check for errors.

## Returns

A cursor where each result corresponds to the server’s representation of an index on this collection. If the collection does not exist on the server, the cursor will be empty.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.